PayPal-Modul gesucht

Moin Forum,

ich habe in unserem Shop festgestellt, dass das PayPal-Modul nicht mehr funzt.

Wir haben dafür das eFire-Modul genutzt - lt. deren Aussage sollte PayPal erst zum 01.01.2015 abgeschaltet werden.

Nun bin ich auf der Suche nach einer Alternative.

Shopversion: CE 4.5.9

Kann mir jemand was empfehlen? Danke!

Grobi

passen die PayPal Module im Exchange nicht?

Exchange? Was meinst du damit?

Edit: Hab’s schon gefunden… :wink:

achso, ich meine natürlich eXchange und nicht Exchange. mein Fehler sorry

Ich versuche gerade, ein Modul zu installieren, und zwar Novalnet payment module für OXID eShop (CE).

Nach der Installation habe ich auch ein Eintrag ‘NOVALNET / NOVALNET_CONFIG’ im Shop-Admin, jedoch wird mir dort nur die Shop-Startseite angezeigt.

Kann mir da jemand helfen (muss ja irgendwas bei der Installation falsch gelaufen sein…)?

Vielen Dank im Voraus!

Gruß
Grobi

[QUOTE=grobi9999;151487]lt. deren Aussage sollte PayPal erst zum 01.01.2015 abgeschaltet werden.[/QUOTE]

Kannst du das mal erklären bitte? Ich setze das Modul auch ein …

Ja, kann ich…

E-Mail vom 30.09.2014 von OXID eSales bezüglich OXID eFire Extensions (Auszug):

"Vor dem Hintergrund der geplanten Umstellung möchten wir Sie auf folgende Termine hinweisen, zu denen die bisherigen eFire Portlets voraussichtlich nicht mehr verfügbar sein werden:

01.10.2014: eBay
01.11.2014 heidelpay
01.12.2014: creditPass, billiger, Idealo bla bla bla
01.01.2015 PayPal, FACT-Finder, DHL

Aus diesem Grund habe ich diese E-Mail auf Termin Mitte November gelegt, um ein alternatives PayPal-Modul zu finden.

Heute habe ich festgestellt, dass PayPal in unserem Shop nicht mehr funzt.

Die letzte PayPal-Zahlung ist am 11.10.2014 erfolgt (hab’ mich zwar gewundert, dass seitdem niemand mehr mit PayPal zahlt, habe diesem aber keine Beachtung geschenkt).

Im eFire-Portlet wird PayPal rot angezeigt und unter ‘Einstellungen’ seht nur:
“Dieses Portlet ist derzeit nicht aktiv.
Für weitere Informationen und zur Reaktivierung des Portlets wenden Sie sich bitte an den OXID Support; nutzen Sie hierfür das Kontaktformular in OXID eFire.”

Ich weis ja nicht, wie das bei eurer Shopversion aussieht aber bei mir ist das Modul eine Standalone-Version. Ich wüsste auch nicht, dass ich jemals einen eFire-Account gehabt hätte.

Oder verwechsele ich da jetzt was?

Das kann ich dir nicht beantworten.

Ich betreue diesen Shop seit April 2014 und verstehe manchmal immer noch Bahnhof…

eFire haben wir für den Artikelexport nach eBay genutzt.

Ich glaube, dass es Zeit wird, den Shop von 4.5.9 auf die aktuelle Version upzudaten…

In der aktuellen Version soll ja eine PayPal-Schnittstelle integriert werden - stimmt das?

[QUOTE=grobi9999;151517]
In der aktuellen Version soll ja eine PayPal-Schnittstelle integriert werden - stimmt das?[/QUOTE]

Ja, ich glaube, dass ist das, was ich meine. Ich habe installiert (gleich die 4.8.7), meine Daten eingetragen, das PayPal-Modul aktiviert und ab dafür. :smiley:

Deswegen war ich auch wegen der Bemerkung bezüglich des Wegfalls der Funktionalität zum 1.1. so verwirrt :slight_smile:

Um nochmal meine ursprüngliche Frage zu stellen:

Ich versuche gerade, ein Modul zu installieren, und zwar Novalnet payment module für OXID eShop (CE).

Nach der Installation habe ich auch ein Eintrag ‘NOVALNET / NOVALNET_CONFIG’ im Shop-Admin, jedoch wird mir dort nur die Shop-Startseite angezeigt.

Kann mir da jemand helfen (muss ja irgendwas bei der Installation falsch gelaufen sein…)?

Vielen Dank im Voraus!

Gruß
Grobi

[QUOTE=grobi9999;151497]Ich versuche gerade, ein Modul zu installieren, und zwar Novalnet payment module für OXID eShop (CE).

Nach der Installation habe ich auch ein Eintrag ‘NOVALNET / NOVALNET_CONFIG’ im Shop-Admin, jedoch wird mir dort nur die Shop-Startseite angezeigt.

Kann mir da jemand helfen (muss ja irgendwas bei der Installation falsch gelaufen sein…)?

Vielen Dank im Voraus!

Gruß
Grobi[/QUOTE]

Leider habe ich immer noch das Problem mit der Installation dieses Moduls…

Hier die readme:

==Title==
Novalnet Payment Module

==Author==
Novalnet AG

==Prefix==
nn

==Version==
1.1.0

==Link==
https://www.novalnet.de/

==Mail==
[email protected]
[email protected]

==Description==
Integrates Novalnet Payment module into OXID eShop.

==Extend==
*oxinputvalidator
–validatePaymentInputData
*oxuserpayment
–_insert
–getDynValues
*oxpaymentgateway
–executePayment

==Installation==
Execute the install.sql script.
Add the module entries in admin.
For oxid 4.4.0 merge templates from changed_4.4.0,
For oxid 4.4.7 merge templates from changed_4.4.7,
For oxid 4.5.2 - 4.5.4 merge templates from changed_4.5.2 - 4.5.4,
For oxid 4.5.5 - 4.6.6 merge templates from changed_4.5.5 - 4.6.6.

==Modules==
order_overview => novalnet/admin/nnorderoverview
oxpaymentgateway => novalnet/core/novalnetpaymentgateway
oxinputvalidator => novalnet/core/nninputvalidator
oxuserpayment => novalnet/core/nnuserpayment
payment => novalnet/views/nnpayment
order => novalnet/views/nnorder
oxorder => novalnet/core/nnoxorder

==Libraries==

==Resources==

Ich habe folgendes gemacht:

  • Die Dateien aus dem ‘copy_this’-Ordner auf den Server kopiert (binär)
  • Die install.sql über die DB laufen lassen
  • Die entsprechenden Moduleinträge unter Grundeinstellungen/System/Module gemacht (gleiche Einträge mit ‘&’ verknüpft

Wie muss ich jetzt folgendes verstehen?

[B]merge templates from changed_4.5.5 - 4.6.6[/B]

Was für ein buntes Durcheinander!
@Wolkenkrieger: das war vor Deiner Zeit ^^
@grobi9999: deinstalliere bitte in Deiner Entwicklungsumgebung alle Module, bevor Du die Shopversion hochziehst, so wie es in der Update-Anleitung steht. Danach prüfe bitte, ob alle Module mit der 4.9 lauffähig sind. Prüfe bitte auch mit einer oxchkversion, ob alles sauber gelaufen ist. Danach kannst Du Module wieder aktivieren und/oder neu installieren, u.a. das PayPal Standalone Modul.

Gruß